Docs / Language Manual / BrowserSupportPolyfills

You are currently looking at the v8.0.0 docs (Reason v3.6 syntax edition). You can find the latest manual page here.

Browser Support & Polyfills

ReScript compiles to JavaScript ES5, with the exception of optionally allowing to compile to ES6's module import & export.

For old browsers, you also need to polyfill TypedArray. The following standard library functions require it:

  • Int64.float_of_bits

  • Int64.bits_of_float

  • Int32.float_of_bits

  • Int32.bits_of_float

If you don't use these functions, you're fine. Otherwise, it'll be a runtime failure.